Mailinglist Archive: opensuse-security-announce (12 mails)

< Previous Next >
[security-announce] SUSE-SU-2012:0598-1: critical: Security update for PHP5
SUSE Security Update: Security update for PHP5
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:0598-1
Rating: critical
References: #752030 #753778 #760536
Cross-References: CVE-2012-1172 CVE-2012-1823 CVE-2012-2311

Affected Products:
SUSE Linux Enterprise Server 10 SP4
SLE SDK 10 SP4
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:


This update fixes several security issues in PHP5:

* CVE-2012-1172: A directory traversal bug has been
fixed in php5.
* CVE-2012-1823, CVE-2012-2311: A command injection was
possible when PHP5 was operated in CGI mode using
commandline options. This problem does not affect PHP5 in
the normal Apache module mode setup.
* Also a pack/unpacking bug on big endian 64bit
architectures (ppc64 and s390x) has been fixed. bnc#753778

Security Issue references:

* CVE-2012-1172
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1172
>
* CVE-2012-1823
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-1823
>
* CVE-2012-2311
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-2311
>



Package List:

- SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):

apache2-mod_php5-5.2.14-0.32.1
php5-5.2.14-0.32.1
php5-bcmath-5.2.14-0.32.1
php5-bz2-5.2.14-0.32.1
php5-calendar-5.2.14-0.32.1
php5-ctype-5.2.14-0.32.1
php5-curl-5.2.14-0.32.1
php5-dba-5.2.14-0.32.1
php5-dbase-5.2.14-0.32.1
php5-devel-5.2.14-0.32.1
php5-dom-5.2.14-0.32.1
php5-exif-5.2.14-0.32.1
php5-fastcgi-5.2.14-0.32.1
php5-ftp-5.2.14-0.32.1
php5-gd-5.2.14-0.32.1
php5-gettext-5.2.14-0.32.1
php5-gmp-5.2.14-0.32.1
php5-hash-5.2.14-0.32.1
php5-iconv-5.2.14-0.32.1
php5-imap-5.2.14-0.32.1
php5-json-5.2.14-0.32.1
php5-ldap-5.2.14-0.32.1
php5-mbstring-5.2.14-0.32.1
php5-mcrypt-5.2.14-0.32.1
php5-mhash-5.2.14-0.32.1
php5-mysql-5.2.14-0.32.1
php5-ncurses-5.2.14-0.32.1
php5-odbc-5.2.14-0.32.1
php5-openssl-5.2.14-0.32.1
php5-pcntl-5.2.14-0.32.1
php5-pdo-5.2.14-0.32.1
php5-pear-5.2.14-0.32.1
php5-pgsql-5.2.14-0.32.1
php5-posix-5.2.14-0.32.1
php5-pspell-5.2.14-0.32.1
php5-shmop-5.2.14-0.32.1
php5-snmp-5.2.14-0.32.1
php5-soap-5.2.14-0.32.1
php5-sockets-5.2.14-0.32.1
php5-sqlite-5.2.14-0.32.1
php5-suhosin-5.2.14-0.32.1
php5-sysvmsg-5.2.14-0.32.1
php5-sysvsem-5.2.14-0.32.1
php5-sysvshm-5.2.14-0.32.1
php5-tokenizer-5.2.14-0.32.1
php5-wddx-5.2.14-0.32.1
php5-xmlreader-5.2.14-0.32.1
php5-xmlrpc-5.2.14-0.32.1
php5-xsl-5.2.14-0.32.1
php5-zlib-5.2.14-0.32.1

- SLE SDK 10 SP4 (i586 ia64 ppc s390x x86_64):

apache2-mod_php5-5.2.14-0.32.1
php5-5.2.14-0.32.1
php5-bcmath-5.2.14-0.32.1
php5-bz2-5.2.14-0.32.1
php5-calendar-5.2.14-0.32.1
php5-ctype-5.2.14-0.32.1
php5-curl-5.2.14-0.32.1
php5-dba-5.2.14-0.32.1
php5-dbase-5.2.14-0.32.1
php5-devel-5.2.14-0.32.1
php5-dom-5.2.14-0.32.1
php5-exif-5.2.14-0.32.1
php5-fastcgi-5.2.14-0.32.1
php5-ftp-5.2.14-0.32.1
php5-gd-5.2.14-0.32.1
php5-gettext-5.2.14-0.32.1
php5-gmp-5.2.14-0.32.1
php5-hash-5.2.14-0.32.1
php5-iconv-5.2.14-0.32.1
php5-imap-5.2.14-0.32.1
php5-ldap-5.2.14-0.32.1
php5-mbstring-5.2.14-0.32.1
php5-mcrypt-5.2.14-0.32.1
php5-mhash-5.2.14-0.32.1
php5-mysql-5.2.14-0.32.1
php5-ncurses-5.2.14-0.32.1
php5-odbc-5.2.14-0.32.1
php5-openssl-5.2.14-0.32.1
php5-pcntl-5.2.14-0.32.1
php5-pdo-5.2.14-0.32.1
php5-pear-5.2.14-0.32.1
php5-pgsql-5.2.14-0.32.1
php5-posix-5.2.14-0.32.1
php5-pspell-5.2.14-0.32.1
php5-shmop-5.2.14-0.32.1
php5-snmp-5.2.14-0.32.1
php5-soap-5.2.14-0.32.1
php5-sockets-5.2.14-0.32.1
php5-sqlite-5.2.14-0.32.1
php5-suhosin-5.2.14-0.32.1
php5-sysvmsg-5.2.14-0.32.1
php5-sysvsem-5.2.14-0.32.1
php5-sysvshm-5.2.14-0.32.1
php5-tidy-5.2.14-0.32.1
php5-tokenizer-5.2.14-0.32.1
php5-wddx-5.2.14-0.32.1
php5-xmlreader-5.2.14-0.32.1
php5-xmlrpc-5.2.14-0.32.1
php5-xsl-5.2.14-0.32.1
php5-zlib-5.2.14-0.32.1


References:

http://support.novell.com/security/cve/CVE-2012-1172.html
http://support.novell.com/security/cve/CVE-2012-1823.html
http://support.novell.com/security/cve/CVE-2012-2311.html
https://bugzilla.novell.com/752030
https://bugzilla.novell.com/753778
https://bugzilla.novell.com/760536

http://download.novell.com/patch/finder/?keywords=4c521fa4b1380a2123c60bdf8e191643

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages